package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.portal.modular.management.entity.PortalDesign;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalDesignRequest;
import cn.stylefeng.team.portal.modular.management.pojo.response.PortalDesignVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface PortalDesignService extends IService<PortalDesign> {

    PageResult<PortalDesignVo> findPage(PortalDesignRequest portalDesignRequest);

    void add(PortalDesignRequest portalDesignRequest);

    void del(PortalDesignRequest portalDesignRequest);

    void batchDelete(PortalDesignRequest portalDesignRequest);

    void edit(PortalDesignRequest portalDesignRequest);

    PortalDesign detail(PortalDesignRequest portalDesignRequest);

    List<PortalDesign> findList(PortalDesignRequest portalDesignRequest);

    void updateDesign(PortalDesignRequest portalDesignRequest);

}
